// header //

@mixin menuLink {
    display: flex;
    align-items: center;
    gap: 5px;
    font-family: 'Noto Sans';
    font-size: 15px;
    position: relative;
    padding: 25px 0 25px 0;
    transition: 0.4s ease;

    @media (max-width: 1024px) {
        padding: 0;
        flex-direction: column;
        align-items: start;
    }

    .submenu__list {
        display: flex;
        z-index: -1;
        flex-direction: column;
        position: absolute;
        width: max-content;
        visibility: hidden;
        opacity: 0;
        top: -100%;
        padding: 1rem;
        background-color: $white;
        border: 1px solid $lightGray;
        transition: 0.4s ease;

        @media (max-width: 1024px) {
            position: relative;
            visibility: hidden;
            height: 0;
            top: 0;
            border: none;
            padding: 0rem 1rem 0rem 1rem;
            z-index: inherit;
        }


        .submenu__item {
            &:not(:last-child) {
                padding-bottom: 1rem;
            } 
        }
    }

    &:hover {
        .submenu__list {
            top: 70px;
            visibility: visible;
            opacity: 1;

            @media (max-width: 1024px) {
                height: auto;
                top: 0;
                padding: 1rem 1rem 0rem 1rem;
            }
        }
    }
}

@mixin headerText {
    font-size: 12px;
    color: $gray;
}

@mixin socialLink {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 100%;

    &:nth-child(4) {
        display: none;

        @media (max-width: 1024px) {
            display: flex;
        }
    }

    &:nth-child(5) {
        display: none;

        @media (max-width: 1024px) {
            display: flex;
        }
    }
}

@mixin telLink {
    font-size: 25px;
    color: $black;

    @media (max-width: 1280px) {
        font-size: 22px;
    }

    &:hover {
        color: $red;
    }
}

@mixin mailLink {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 5px;
    font-size: 14px;

    @media (max-width: 1280px) {
        font-size: 13px;
    }

    span {
        display: flex;
    }
}

@mixin address {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 5px;
    font-size: 14px;
    font-style: normal;
    color: $gray;
    width: max-content;

    @media (max-width: 1280px) {
        font-size: 13px;
    }

    span {
        display: flex;
    }
}

// main // 

// title // 

@mixin mainTitle {
    font-size: 48px;
    margin-bottom: 20px;

    @media (max-width: 1024px) {
        font-size: 38px;
        margin-bottom: 15px;
    }

    @media (max-width: 768px) {
        font-size: 28px;
    }
}

@mixin blockTitle {
    font-size: 35px;
    margin-bottom: 100px;
    text-align: center;

    @media (max-width: 1024px) {
        font-size: 32px;
        margin-bottom: 80px;
    }

    @media (max-width: 768px) {
        font-size: 26px;
        margin-bottom: 60px;
    }
}

@mixin blockSubTitle {
    font-family: 'Russo One';
    font-weight: 100;
    font-size: 18px;
    margin-bottom: 10px;
}

@mixin certificatesTitle {
    font-family: 'Russo One';
    font-size: 15px;
    line-height: 1.6;
    color: $green;
}

@mixin bannerTitle {
    font-size: 20px;
    text-align: center;
}

@mixin modalTitle {
    font-size: 20px;
    text-align: center;
    margin-bottom: 10px;
}

// text // 

@mixin blockText {
    font-family: 'Noto Sans';
    font-weight: normal;
    font-size: 18px;
    color: $black;

    @media (max-width: 768px) {
        font-size: 16px;
    }
}

@mixin blockSubText {
    font-family: 'Noto Sans';
    font-weight: normal;
    font-size: 14px;
    color: $gray;
    opacity: 0.9;
}

@mixin modalText {
    font-family: 'Noto Sans';
    font-weight: normal;
    font-size: 15px;
    color: $black;
    margin-bottom: 10px;
}

@mixin descriptionText {
    font-family: 'Noto Sans';
    font-size: 14.5px;
    font-weight: normal;
    color: $gray;
}

@mixin smallText {
    font-family: 'Noto Sans';
    font-size: 12px;
    opacity: 0.5;
    color: $gray;
    margin-bottom: 40px;
}

@mixin certificatesText {
    font-family: 'Noto Sans';
    font-size: 14px;
    line-height: 1.43;
    color: $gray;
    text-align: left;
}

// button //

@mixin blockButton {
    font-family: 'Russo One';
    font-weight: normal; 
    font-size: 16px;
    text-transform: uppercase;
    color: $white;
    background: $blueGradient;
    border-radius: 10px;
    box-shadow: 0px 3px 0 0 #0066ff, 0px 20px 80px 0 rgba(0, 102, 255, 0.4);
    letter-spacing: 2.4px;

    @media (max-width: 768px) {
        font-size: 14px;
    }

    &:hover {
        background: $blueGradientHover;
    }
}

// price //

@mixin blockPrice {
    display: flex;
    justify-content: center;
    font-family: 'Noto Sans';
    font-size: 26px;
    color: $black;
    margin-bottom: 16px;

    .old__price {
        font-weight: normal;

        span {
            text-decoration: line-through;
        }
    }

    .new__price {
        font-weight: bold;
    }

    @media (max-width: 425px) {
        flex-direction: column;
    }
}

@mixin modalPrice {
    display: flex;
    justify-content: center;
    font-family: 'Noto Sans';
    font-size: 20px;
    color: $black;
    margin-bottom: 16px;

    .old__price {
        font-weight: normal;

        span {
            text-decoration: line-through;
        }
    }

    .new__price {
        font-weight: bold;
    }

    @media (max-width: 425px) {
        flex-direction: column;
    }
}

// product // 

@mixin productName {
    font-family: 'Noto Sans';
    font-size: 18px;
    font-weight: bold;
    color: $black;
    text-align: center;

    @media (max-width: 425px) {
        font-size: 16px;
    }
}

// service // 

@mixin serviceName {
    font-family: 'Noto Sans';
    color: $black;
    font-size: 18px;
    text-align: center;

    @media (max-width: 768px) {
        font-size: 16px;
    }
}

// calculate // 

@mixin calculateTitle {
    font-family: 'Russo One';
    color: $black;
    font-size: 18px;
}

@mixin calculateText {
    font-family: 'Noto Sans',Arial,sans-serif;
    color: $black;
    font-size: 12px;
}

// accordion // 

@mixin accordionTitle {
    font-family: 'Noto Sans';
    color: $black;
    font-size: 18px;
    font-weight: bold;
    line-height: 1.2;

    @media (max-width: 768px) {
        font-size: 16px;
    }
}

// footer // 

@mixin legalData {
    font-family: 'Noto Sans';
    color: $gray;
    font-size: 12px;
}

@mixin copyright {
    display: block;
    font-family: 'Noto Sans';
    color: $gray;
    font-size: 14px;
}


// other // 

@mixin itemNumber {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    background: $blueGradient;
    box-shadow: 0px 10px 8px 0px rgba(0, 102, 255, 0.1);
    font-family: 'Russo One';
    font-weight: 100;
    color: $white;
    border-radius: 100%;
    font-size: 16px;
    width: 40px;
    height: 40px;
}

@mixin personalInformation {
    font-family: 'Noto Sans';
    font-size: 13px;
    line-height: 1.55;
    color: $gray;
    text-align: center;
    margin-top: 1rem;

    a {
        color: $green;

        &:hover {
            color: $red;
        } 
    }
}

@mixin helpText {
    display: block;
    padding-top: 5px;
    padding-left: 5px;
    font-family: 'Noto Sans';
    font-size: 10px;
    color: $gray2;
}


